<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zbkj.service.dao.StoreOrderReturnDao">

    <select id="applyRecordsList" resultType="com.zbkj.common.response.ApplyRecordsResponse">
        SELECT r.id, r.code, r.order_id orderId, r.return_state returnState,
               r.return_amount returnAmount, r.create_time createTime, return_verify_date returnVerifyDate,
               r.return_reason returnReason, r.return_image returnImage, refund_verify_fail_reason refundVerifyFailReason
        FROM eb_store_order_return r
        WHERE 1=1
        <if test="uid != null"> and r.uid = #{uid} </if>
        <if test="returnId != null"> and r.id = #{returnId} </if>
        ORDER BY id DESC
    </select>

</mapper>
